<div class="panel panel-default">
  <div class="panel-heading float-right">
    <%#= link_to 'Create group', new_group_path(), class: 'btn btn-primary btn-sm' %>
		<button type="button" class="btn btn-primary btn-sm" data-bs-toggle="modal" data-bs-target="#newGroupModal">
			Create group
		</button>
  </div>
  <div class="panel-body">
    <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
      <li class="nav-item" role="presentation">
        <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true">Your groups</button>
      </li>
      <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill" data-bs-target="#pills-profile" type="button" role="tab" aria-controls="pills-profile" aria-selected="false">Requested</button>
      </li>
      <li class="nav-item" role="presentation">
        <button class="nav-link" id="pills-contact-tab" data-bs-toggle="pill" data-bs-target="#pills-contact" type="button" role="tab" aria-controls="pills-contact" aria-selected="false">Requests</button>
      </li>
    </ul>
    <div class="tab-content" id="pills-tabContent">
      <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab" tabindex="0">
        <div class="row">
          <div class="col-12 col-sm-12 col-lg-12">
            <ul class="list-group">
              <% @groups.each do |user_group| %>
                <% group = user_group.group %>
                <%= render :partial => 'card', locals: {group: group, tab: 'your_groups', user_group: user_group}  %>
              <% end %>
            </ul>
          </div>
        </div>
      </div>
      <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab" tabindex="0">
        <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab" tabindex="0">
          <div class="row">
            <div class="col-12 col-sm-12 col-lg-12">
              <ul class="list-group">
                <% @requested_groups.each do |user_group| %>
                  <%group = user_group.group %>
                  <%= render :partial => 'card', locals: {group: group, user_group: user_group, tab: 'requested'}  %>
                <% end %>
              </ul>
            </div>
          </div>
        </div>
      </div>
      <div class="tab-pane fade" id="pills-contact" role="tabpanel" aria-labelledby="pills-contact-tab" tabindex="0">
        <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab" tabindex="0">
          <div class="row">
            <div class="col-12 col-sm-12 col-lg-12">
              <ul class="list-group">
                <% @requests_groups.each do |user_group| %>
                  <% group = user_group.group %>
                  <%= render :partial => 'card', locals: {group: group, user_group: user_group,tab: 'requests'}  %>
                <% end %>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>


<!-- Modal -->
<div class="modal fade" id="newGroupModal" tabindex="-1" aria-labelledby="newGroupModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="newGroupModalLabel">Create group</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body" id='newGroup'>
        <%= render 'groups/form' %>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
        <button type="submit" form="new_group" class="btn btn-primary">Create</button>
      </div>
    </div>
  </div>
</div>